./devel/py-trytond, Server of the Tryton application platform

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 4.2.1, Package name: py37-trytond-4.2.1, Maintainer: pkgsrc-users

The server of the Tryton application platform, a three-tiers high-level general
purpose application platform written in Python and uses PostgreSQL as main
database engine. It is the core base of an Open Source ERP. It provides
modularity, scalability and security.


Required to run:
[databases/py-psycopg2] [devel/py-setuptools] [time/py-dateutil] [time/py-pytz] [www/py-genshi] [converters/py-simplejson] [textproc/py-lxml] [textproc/py-sphinx] [www/py-werkzeug] [devel/py-polib] [textproc/py-relatorio] [databases/py-python-sql] [security/py-bcrypt] [devel/py-wrapt] [lang/python37]

Required to build:
[pkgtools/cwrappers]

Package options: psycopg, pytz, simplejson, sphinx

Master sites:


Version history: (Expand)


CVS history: (Expand)


   2020-03-13 21:20:50 by Thomas Klausner | Files touched by this commit (16)
Log message:
py-tryton*: put python-2.7 restriction only in those packages where it belongs

(and the meta package)

Fix PLIST for py-trytond for all python versions.
   2020-01-19 00:36:14 by Roland Illig | Files touched by this commit (3046)
Log message:
all: migrate several HOMEPAGEs to https

pkglint --only "https instead of http" -r -F

With manual adjustments afterwards since pkglint 19.4.4 fixed a few
indentations in unrelated lines.

This mainly affects projects hosted at SourceForce, as well as
freedesktop.org, CTAN and GNU.
   2019-11-03 11:18:30 by Roland Illig | Files touched by this commit (36)
Log message:
devel/py-*: align variable assignments

pkglint -Wall -F --only aligned --only indent -r

No manual corrections.
   2019-10-21 23:45:40 by Adam Ciarcinski | Files touched by this commit (3)
Log message:
Switch sphinx to versioned deps.
   2019-09-02 15:20:22 by Adam Ciarcinski | Files touched by this commit (415)
Log message:
Changed PYTHON_VERSIONS_INCOMPATIBLE to PYTHON_VERSIONS_ACCEPTED; needed for \ 
future Python 3.8
   2019-04-26 16:12:50 by Maya Rashish | Files touched by this commit (205)
Log message:
fix some whitespace, mostly introduced in the previous
python 3.4 / 3.5 removal commit.
   2019-04-26 15:14:25 by Maya Rashish | Files touched by this commit (473)
Log message:
Omit mentions of python 34 and 35, after those were removed.

- Includes some whitespace changes, to be handled in a separate commit.
   2018-07-03 07:03:44 by Adam Ciarcinski | Files touched by this commit (495)
Log message:
extend PYTHON_VERSIONS_ for Python 3.7